--
-- _currentip table
--

ALTER TABLE _currentip ADD COLUMN message_reply varchar(250);
ALTER TABLE _currentip ALTER COLUMN message_reply SET STORAGE EXTENDED;
ALTER TABLE _currentip ADD COLUMN logged_userid varchar(20);
ALTER TABLE _currentip ALTER COLUMN logged_userid SET STORAGE EXTENDED;
ALTER TABLE _currentip ADD COLUMN logged_username varchar(40);
ALTER TABLE _currentip ALTER COLUMN logged_username SET STORAGE EXTENDED;

--
-- _reports table
--

ALTER TABLE _reports ADD COLUMN emptycol int2;
ALTER TABLE _reports ALTER COLUMN emptycol SET STORAGE PLAIN;

--
-- _setup table
--

ALTER TABLE _setup ADD COLUMN nyugta_peldanyszam int2;
ALTER TABLE _setup ALTER COLUMN nyugta_peldanyszam SET STORAGE PLAIN;
ALTER TABLE _setup ALTER COLUMN nyugta_peldanyszam SET DEFAULT 1;
ALTER TABLE _setup ADD COLUMN szallito_mozgasnem int4;
ALTER TABLE _setup ALTER COLUMN szallito_mozgasnem SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN szallito_peldanyszam int4;
ALTER TABLE _setup ALTER COLUMN szallito_peldanyszam SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN szallito_kiallitomezo_modosithato int2;
ALTER TABLE _setup ALTER COLUMN szallito_kiallitomezo_modosithato SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN szallito_mozgasnemmezo_modosithato int4;
ALTER TABLE _setup ALTER COLUMN szallito_mozgasnemmezo_modosithato SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN szamla_kiallitomezo_modosithato int4;
ALTER TABLE _setup ALTER COLUMN szamla_kiallitomezo_modosithato SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN szamla_mozgasnem int4;
ALTER TABLE _setup ALTER COLUMN szamla_mozgasnem SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN szamla_mozgasnemmezo_modosithato int4;
ALTER TABLE _setup ALTER COLUMN szamla_mozgasnemmezo_modosithato SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN szamla_peldanyszam int4;
ALTER TABLE _setup ALTER COLUMN szamla_peldanyszam SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN bizatadas_mozgasnem int2;
ALTER TABLE _setup ALTER COLUMN bizatadas_mozgasnem SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN bizatadas_kiallitomezo_modosithato int2;
ALTER TABLE _setup ALTER COLUMN bizatadas_kiallitomezo_modosithato SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN bizatadas_mozgasnemmezo_modosithato int2;
ALTER TABLE _setup ALTER COLUMN bizatadas_mozgasnemmezo_modosithato SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN bizatadas_peldanyszam int2;
ALTER TABLE _setup ALTER COLUMN bizatadas_peldanyszam SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN raktarbiz_kiallitomezo_modosithato int2;
ALTER TABLE _setup ALTER COLUMN raktarbiz_kiallitomezo_modosithato SET STORAGE PLAIN;
ALTER TABLE _setup ADD COLUMN raktarbiz_peldanyszam int2;
ALTER TABLE _setup ALTER COLUMN raktarbiz_peldanyszam SET STORAGE PLAIN;

--
-- iso_statusz table
--

ALTER TABLE iso_statusz RENAME nev  TO lang_0000040e;
ALTER TABLE iso_statusz ADD COLUMN lang_00000409 varchar(40);
ALTER TABLE iso_statusz ALTER COLUMN lang_00000409 SET STORAGE EXTENDED;
ALTER TABLE iso_statusz ADD COLUMN lang_00000407 varchar(40);
ALTER TABLE iso_statusz ALTER COLUMN lang_00000407 SET STORAGE EXTENDED;


--
-- mozgasnem table
--

ALTER TABLE mozgasnem ADD COLUMN sztorno int2;
ALTER TABLE mozgasnem ALTER COLUMN sztorno SET STORAGE PLAIN;
ALTER TABLE mozgasnem ADD COLUMN kapcsolt_mozgas int4;
ALTER TABLE mozgasnem ALTER COLUMN kapcsolt_mozgas SET STORAGE PLAIN;

--
-- partner table
--

ALTER TABLE partner ADD COLUMN partner_csoport_kod int4;
ALTER TABLE partner ALTER COLUMN partner_csoport_kod SET STORAGE PLAIN;

--
-- partner_tetelcsoport_kedvezmeny table
--

DROP TABLE partner_tetelcsoport_kedvezmeny;

--
-- raktar_mozgas table
--

ALTER TABLE raktar_mozgas RENAME arbevetel TO brutto_arbevetel;
ALTER TABLE raktar_mozgas ADD COLUMN netto_arbevetel float8;
ALTER TABLE raktar_mozgas ALTER COLUMN netto_arbevetel SET STORAGE PLAIN;
ALTER TABLE raktar_mozgas ADD COLUMN netto_kedvezmeny float8;
ALTER TABLE raktar_mozgas ALTER COLUMN netto_kedvezmeny SET STORAGE PLAIN;
ALTER TABLE raktar_mozgas ADD COLUMN netto_kedvezmeny_huf float8;
ALTER TABLE raktar_mozgas ALTER COLUMN netto_kedvezmeny_huf SET STORAGE PLAIN;
ALTER TABLE raktar_mozgas ADD COLUMN netto_arbevetel_huf float8;
ALTER TABLE raktar_mozgas ALTER COLUMN netto_arbevetel_huf SET STORAGE PLAIN;
ALTER TABLE raktar_mozgas ADD COLUMN brutto_arbevetel_huf float8;
ALTER TABLE raktar_mozgas ALTER COLUMN brutto_arbevetel_huf SET STORAGE PLAIN;
ALTER TABLE raktar_mozgas ADD COLUMN tetel_tipus int2;
ALTER TABLE raktar_mozgas ALTER COLUMN tetel_tipus SET STORAGE PLAIN;
ALTER TABLE raktar_mozgas ADD COLUMN megjegyzes text;
ALTER TABLE raktar_mozgas ALTER COLUMN megjegyzes SET STORAGE EXTENDED;

--
-- raktar_mozgas_fej table
--

ALTER TABLE raktar_mozgas_fej DROP COLUMN "Megjegyzes";
ALTER TABLE raktar_mozgas_fej RENAME arbevetel_vegosszeg TO brutto_arbevetel_vegosszeg;
ALTER TABLE raktar_mozgas_fej RENAME "arbevetel_vegosszeg_HUF" TO brutto_arbevetel_vegosszeg_huf;
ALTER TABLE raktar_mozgas_fej ADD COLUMN netto_arbevetel_vegosszeg float8;
ALTER TABLE raktar_mozgas_fej ALTER COLUMN netto_arbevetel_vegosszeg SET STORAGE PLAIN;
ALTER TABLE raktar_mozgas_fej ADD COLUMN netto_arbevetel_vegosszeg_huf float8;
ALTER TABLE raktar_mozgas_fej ALTER COLUMN netto_arbevetel_vegosszeg_huf SET STORAGE PLAIN;
ALTER TABLE raktar_mozgas_fej ADD COLUMN netto_kedvezmeny float8;
ALTER TABLE raktar_mozgas_fej ALTER COLUMN netto_kedvezmeny SET STORAGE PLAIN;
ALTER TABLE raktar_mozgas_fej ADD COLUMN netto_kedvezmeny_huf float8;
ALTER TABLE raktar_mozgas_fej ALTER COLUMN netto_kedvezmeny_huf SET STORAGE PLAIN;
ALTER TABLE raktar_mozgas_fej ADD COLUMN sztornozott_bizonylat varchar(12);
ALTER TABLE raktar_mozgas_fej ALTER COLUMN sztornozott_bizonylat SET STORAGE EXTENDED;
ALTER TABLE raktar_mozgas_fej ADD COLUMN sztornozo_bizonylat varchar(12);
ALTER TABLE raktar_mozgas_fej ALTER COLUMN sztornozo_bizonylat SET STORAGE EXTENDED;
ALTER TABLE raktar_mozgas_fej ADD COLUMN megjegyzes text;
ALTER TABLE raktar_mozgas_fej ALTER COLUMN megjegyzes SET STORAGE EXTENDED;

--
-- raktar_nevek table
--

ALTER TABLE raktar_nevek ADD COLUMN iszam varchar(20);
ALTER TABLE raktar_nevek ALTER COLUMN iszam SET STORAGE EXTENDED;
ALTER TABLE raktar_nevek ADD COLUMN telepules varchar(60);
ALTER TABLE raktar_nevek ALTER COLUMN telepules SET STORAGE EXTENDED;
ALTER TABLE raktar_nevek ADD COLUMN cim varchar(60);
ALTER TABLE raktar_nevek ALTER COLUMN cim SET STORAGE EXTENDED;
ALTER TABLE raktar_nevek ADD COLUMN raktar_tipus int2;
ALTER TABLE raktar_nevek ALTER COLUMN raktar_tipus SET STORAGE PLAIN;

--
-- tetel_csoport table
--

DROP TABLE tetel_csoport;

--
-- tetel_csoport_egysegarszamito table
--

DROP TABLE tetel_csoport_egysegarszamito;

--
-- insert_partner_tetelcsoport_kedvezmeny function
--

DROP FUNCTION insert_partner_tetelcsoport_kedvezmeny();