ALTER TABLE tulajdonos ADD COLUMN aktivalt_verzio varchar(20);
ALTER TABLE tulajdonos ALTER COLUMN aktivalt_verzio SET STORAGE EXTENDED;

ALTER TABLE raktar_mozgas_fej ADD COLUMN kod int4;
ALTER TABLE raktar_mozgas_fej ALTER COLUMN kod SET STORAGE PLAIN;
ALTER TABLE raktar_mozgas_fej ALTER COLUMN kod SET DEFAULT nextval('public.raktar_mozgas_fej_kod_seq'::text);

CREATE SEQUENCE raktar_mozgas_fej_kod_seq
  INCREMENT 1
  MINVALUE 1
  MAXVALUE 9223372036854775807
  START 1
  CACHE 1;

ALTER TABLE raktar_mozgas_fej DROP CONSTRAINT raktar_mozgas_fej_pkey;

ALTER TABLE raktar_mozgas_fej ADD CONSTRAINT raktar_mozgas_fej_pkey PRIMARY KEY(kod);

ALTER TABLE raktar_mozgas ADD COLUMN fej_kod int4;
ALTER TABLE raktar_mozgas ALTER COLUMN fej_kod SET STORAGE PLAIN;