ALTER TABLE _setup ADD COLUMN torzs_jog_emaillista_i smallint;
ALTER TABLE _setup ALTER COLUMN torzs_jog_emaillista_i SET STORAGE PLAIN;
ALTER TABLE _setup ALTER COLUMN torzs_jog_emaillista_i SET DEFAULT 0;

ALTER TABLE _setup ADD COLUMN torzs_jog_emaillista_e smallint;
ALTER TABLE _setup ALTER COLUMN torzs_jog_emaillista_e SET STORAGE PLAIN;
ALTER TABLE _setup ALTER COLUMN torzs_jog_emaillista_e SET DEFAULT 0;

ALTER TABLE _setup ADD COLUMN torzs_jog_emaillista_d smallint;
ALTER TABLE _setup ALTER COLUMN torzs_jog_emaillista_d SET STORAGE PLAIN;
ALTER TABLE _setup ALTER COLUMN torzs_jog_emaillista_d SET DEFAULT 0;


CREATE TABLE partner_email_lista
(
  kod serial NOT NULL,
  nev character varying(60),
  linuxname character(30),
  CONSTRAINT partner_email_lista_pky_idx PRIMARY KEY (kod)
) 
WITHOUT OIDS;

CREATE TABLE partner_emailtar
(
  kod serial NOT NULL,
  partner_kod integer,
  nev character varying(60),
  email character varying(100),
  beosztas character varying(60),
  leiras character varying(500),
  alapertelmezett smallint DEFAULT 0,
  telefon character varying(50),
  CONSTRAINT partner_emailtar_pky_idx PRIMARY KEY (kod)
) 
WITHOUT OIDS;

CREATE TABLE partner_emailtar_bejegyzes
(
  kod integer NOT NULL DEFAULT nextval('public.partner_email_lista_bejegyzes_kod_seq'),
  partner_emailtar_kod integer DEFAULT 0,
  partner_email_lista_kod integer DEFAULT 0,
  partner_kod integer DEFAULT 0,
  CONSTRAINT partner_emailtar_bejegyzes_pky_idx PRIMARY KEY (kod)
) 
WITHOUT OIDS;

ALTER TABLE leltar ADD COLUMN megjegyzes character varying(60);
ALTER TABLE leltar ALTER COLUMN megjegyzes SET STORAGE EXTENDED;

ALTER TABLE leltar ADD COLUMN kisker_ar real;
ALTER TABLE leltar ALTER COLUMN kisker_ar SET STORAGE PLAIN;
ALTER TABLE leltar ALTER COLUMN kisker_ar SET DEFAULT 0;