CREATE TABLE szszb
(
  kod serial NOT NULL,
  bizonylat_fajta integer NOT NULL DEFAULT 0,
  ev integer NOT NULL DEFAULT 0,
  szam integer NOT NULL DEFAULT 0,
  datum date,
  ido time without time zone,
  CONSTRAINT szszb_pkey PRIMARY KEY (kod),
  CONSTRAINT szszb_ukey UNIQUE (bizonylat_fajta, ev, szam)
)
WITHOUT OIDS;

CREATE INDEX szszb_i1
  ON szszb
  USING btree
  (bizonylat_fajta, ev, szam);