ALTER TABLE tetel
  ADD CONSTRAINT tetel_fk3 FOREIGN KEY (fajta1)
      REFERENCES tetel_fajtak (kod) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION;

ALTER TABLE tetel
  ADD CONSTRAINT tetel_fk4 FOREIGN KEY (fajta2)
      REFERENCES tetel_fajtak (kod) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION;

ALTER TABLE tetel
  ADD CONSTRAINT tetel_fk5 FOREIGN KEY (fajta3)
      REFERENCES tetel_fajtak (kod) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION;

CREATE INDEX fki_tetel_fk3
  ON tetel
  USING btree
  (fajta1);

CREATE INDEX fki_tetel_fk4
  ON tetel
  USING btree
  (fajta2);

CREATE INDEX fki_tetel_fk5
  ON tetel
  USING btree
  (fajta3);

ALTER TABLE tetel_fajtak ADD COLUMN lanc_kapcsolt_kod integer;
ALTER TABLE tetel_fajtak ALTER COLUMN lanc_kapcsolt_kod SET STORAGE PLAIN;
ALTER TABLE tetel_fajtak ALTER COLUMN lanc_kapcsolt_kod SET DEFAULT 0;

ALTER TABLE tetel_fajtak ADD COLUMN ures smallint;
ALTER TABLE tetel_fajtak ALTER COLUMN ures SET STORAGE PLAIN;
ALTER TABLE tetel_fajtak ALTER COLUMN ures SET DEFAULT 0;