CREATE TABLE _temp_arjegyzek_betoltes
(
  kod serial NOT NULL,
  alkalom integer,
  lang_0000040e character varying(100) NOT NULL DEFAULT '',
  lang_00000409 character varying(100) DEFAULT '',
  lang_00000407 character varying(100) DEFAULT '',
  sor2 character varying(100) DEFAULT '',
  sor3 character varying(100) DEFAULT '',
  nyitas date DEFAULT '2005-01-01',
  kapcsolt_fokonyviszam character varying(20) DEFAULT '',
  vonalkod character varying(30) DEFAULT '',
  tetel_tipus integer NOT NULL,
  afa_kulcs integer NOT NULL,
  kompenzacio_mezogazd integer DEFAULT 0,
  tetel_azonosito_kod character varying(20) NOT NULL DEFAULT '',
  minimum_keszlet double precision DEFAULT 0,
  maximum_keszlet double precision DEFAULT 0,
  engedely_koteles integer NOT NULL DEFAULT 0,
  besorolas character varying(10) DEFAULT '',
  mennyisegi_egyseg integer NOT NULL,
  pontertek integer DEFAULT 0,
  haszonkulcs double precision DEFAULT 0,
  minimum_haszonkulcs double precision DEFAULT 0,
  egy_egyseg_sulya double precision DEFAULT 0,
  megjegyzes character varying(250) DEFAULT '',
  tetel_csoport_kod integer NOT NULL DEFAULT 0,
  jellemzo_beszallito integer DEFAULT 0,
  garancia integer DEFAULT 0,
  tizedesjegy integer DEFAULT 0,
  arlistaban integer DEFAULT 0,
  akcios integer DEFAULT 0,
  utolsobeszerzesiar double precision DEFAULT 0,
  m_userid character varying(20) DEFAULT '',
  m_date date DEFAULT '2005-01-01',
  m_time time without time zone DEFAULT '00:00:00',
  c_userid character varying(20) DEFAULT '',
  c_date date DEFAULT '2005-01-01',
  c_time time without time zone DEFAULT '00:00:00',
  hasznalatban integer,
  fajta1 integer DEFAULT 0,
  fajta2 integer DEFAULT 0,
  fajta3 integer DEFAULT 0,
  sor4 character varying(100) DEFAULT '',
  webboltban integer DEFAULT 0,
  leiras character varying,
  forditottan_adozhat smallint DEFAULT 0,
  egyedi integer DEFAULT 0,
  szoveges_kod character varying(40) DEFAULT '',
  fobizonylaton_nem_latszik smallint DEFAULT 0,
  utolsobeszerzesiardatuma date,
  egysegar_kod integer NOT NULL,
  egysegar_brutto numeric(16,2) NOT NULL DEFAULT 0,
  egysegar numeric(16,2) NOT NULL DEFAULT 0,
  uj_egysegar_brutto numeric(16,2) NOT NULL DEFAULT 0,
  uj_egysegar numeric(16,2) NOT NULL DEFAULT 0,
  ar_statusz smallint DEFAULT 0,
  tetel_kod integer DEFAULT 0,
  CONSTRAINT _temp_arjegyzek_betoltes_pkey PRIMARY KEY (kod)
)
WITHOUT OIDS;