CREATE TABLE partner_csoport_sablon
(
  kod serial,
  lang_0000040e character varying(100) NOT NULL DEFAULT '',
  lang_00000409 character varying(100) DEFAULT '',
  lang_00000407 character varying(100) DEFAULT '',
  m_userid character varying(20) DEFAULT '',
  m_date date DEFAULT '2005-01-01',
  m_time time without time zone DEFAULT '00:00:00',
  c_userid character varying(20) DEFAULT '',
  c_date date DEFAULT '2005-01-01',
  c_time time without time zone DEFAULT '00:00:00',
  CONSTRAINT partner_csoport_sablon_pky PRIMARY KEY (kod)  
)
WITHOUT OIDS;


CREATE TABLE partner_csoport_egysegarak_sablon
(
  kod serial NOT NULL,
  egysegar integer NOT NULL,
  m_userid character varying(20) DEFAULT '',
  m_date date DEFAULT '2005-01-01',
  m_time time without time zone DEFAULT '00:00:00',
  c_userid character varying(20) DEFAULT '',
  c_date date DEFAULT '2005-01-01',
  c_time time without time zone DEFAULT '00:00:00',
  fajta1 integer DEFAULT 0,
  fajta2 integer DEFAULT 0,
  fajta3 integer DEFAULT 0,
  fajta4 integer DEFAULT 0,
  fajta5 integer DEFAULT 0,
  fajta6 integer DEFAULT 0,
  partner_csoport_kod integer NOT NULL,
  szorzo real,
  CONSTRAINT partner_csoport_egysegarak_sablon_pkey PRIMARY KEY (kod)
)
WITHOUT OIDS;

-- Index: partner_csoport_egysegarak_i1

-- DROP INDEX partner_csoport_egysegarak_i1;

CREATE INDEX partner_csoport_egysegarak_sablon_i1
  ON partner_csoport_egysegarak
  USING btree
  (partner_csoport_kod);