CREATE TABLE szallitoi_szamlak_tetel
(
  kod serial NOT NULL,
  fej_kod integer NOT NULL,
  m_userid character varying(20),
  m_date date,
  m_time time without time zone,
  c_userid character varying(20),
  c_date date,
  c_time time without time zone,
  netto_vegosszeg double precision,
  brutto_vegosszeg double precision,
  netto_vegosszeg_huf double precision,
  brutto_vegosszeg_huf double precision,
  afa_vegosszeg double precision,
  afa_vegosszeg_huf double precision,
  afakulcs_kod integer,
  CONSTRAINT szallitoi_szamlak_tetel_pkey PRIMARY KEY (kod)
)
WITHOUT OIDS;

INSERT INTO szallitoi_szamlak_tetel (fej_kod, netto_vegosszeg, afakulcs_kod, afa_vegosszeg, brutto_vegosszeg) 
  (SELECT kod, netto_vegosszeg, afakulcs_kod, afa_vegosszeg, brutto_vegosszeg FROM szallitoi_szamlak);