ALTER TABLE _setup_main ADD COLUMN partner_megkulonboztetes_tiltasa int2;
ALTER TABLE _setup_main ALTER COLUMN partner_megkulonboztetes_tiltasa SET STORAGE PLAIN;
ALTER TABLE _setup_main ALTER COLUMN partner_megkulonboztetes_tiltasa SET DEFAULT 0;

ALTER TABLE _setup_main ADD COLUMN penztarbiz_peldanyszam int2;
ALTER TABLE _setup_main ALTER COLUMN penztarbiz_peldanyszam SET STORAGE PLAIN;
ALTER TABLE _setup_main ALTER COLUMN penztarbiz_peldanyszam SET DEFAULT 0;

ALTER TABLE _setup_main ADD COLUMN penztarbiz_kezeles_azonnaliszamla_eseten int2;
ALTER TABLE _setup_main ALTER COLUMN penztarbiz_kezeles_azonnaliszamla_eseten SET STORAGE PLAIN;
ALTER TABLE _setup_main ALTER COLUMN penztarbiz_kezeles_azonnaliszamla_eseten SET DEFAULT 0;

CREATE TABLE penzeszkoz_nevek
(
  kod serial NOT NULL,
  lang_0000040e varchar(40),
  lang_00000409 varchar(40),
  lang_00000407 varchar(40),
  m_userid varchar(20),
  m_date date,
  m_time time,
  c_userid varchar(20),
  c_date date,
  c_time time,
  megjegyzes varchar(80),
  tipus int2 DEFAULT 0,
  azonosito varchar(40),
  alapertelmezett int2 DEFAULT 0,
  CONSTRAINT penzeszkoz_kod PRIMARY KEY (kod)
) 
WITHOUT OIDS;

CREATE TABLE penzeszkoz_iktato
(
  kod serial NOT NULL,
  osszeg float4 DEFAULT 0,
  datum date,
  bizonylatszam varchar(30),
  megjegyzes text,
  partner_kod int4,
  raktar_mozgas_fej_kod int4,
  forras_penzeszkoz int2 DEFAULT 0,
  cel_penzeszkoz int2 DEFAULT 0,
  sztornozott_bizonylat_kod int4 DEFAULT 0,
  sztornozo_bizonylat_kod int4 DEFAULT 0,
  penztar_bizonylat varchar(20),
  penztar_bizonylat_irany int2 DEFAULT 0,
  fokonyviszam varchar(15),
  CONSTRAINT penzeszkoz_iktato_pkey PRIMARY KEY (kod)
) 
WITHOUT OIDS;