ALTER TABLE _setup ADD COLUMN torzs_jog_szerzodes_i smallint;
ALTER TABLE _setup ALTER COLUMN torzs_jog_szerzodes_i SET STORAGE PLAIN;
ALTER TABLE _setup ALTER COLUMN torzs_jog_szerzodes_i SET DEFAULT 0;
ALTER TABLE _setup ADD COLUMN torzs_jog_szerzodes_e smallint;
ALTER TABLE _setup ALTER COLUMN torzs_jog_szerzodes_e SET STORAGE PLAIN;
ALTER TABLE _setup ALTER COLUMN torzs_jog_szerzodes_e SET DEFAULT 0;
ALTER TABLE _setup ADD COLUMN torzs_jog_szerzodes_d smallint;
ALTER TABLE _setup ALTER COLUMN torzs_jog_szerzodes_d SET STORAGE PLAIN;
ALTER TABLE _setup ALTER COLUMN torzs_jog_szerzodes_d SET DEFAULT 0;

CREATE TABLE szerzodes
(
  kod serial NOT NULL,
  tetel_kod integer NOT NULL DEFAULT 0,
  forras_raktar_kod integer NOT NULL DEFAULT 0,
  mennyiseg double precision NOT NULL DEFAULT (0),
  cel_raktar_kod integer,
  afakulcs integer,
  netto_arbevetel double precision,
  netto_kedvezmeny double precision,
  brutto_arbevetel double precision,
  tetel_tipus smallint,
  megjegyzes text,
  netto_egysegar double precision,
  brutto_egysegar double precision,
  fej_kod integer,
  CONSTRAINT szerzodes_pkey PRIMARY KEY (kod)
) 
WITH OIDS;

CREATE TABLE szerzodes_fej
(
  kod serial NOT NULL,
  leiras character varying(80),
  kezdete date,
  vege date,
  lejarta date,
  partner_kod integer DEFAULT 0,
  targyieszkoz_kod integer DEFAULT 0,
  partner_szamlazasi_cim integer DEFAULT 0,
  partner_posta_cim integer DEFAULT 0,
  reszletek_szama integer DEFAULT 0,
  reszletek_szama_teljesult integer DEFAULT 0,
  vonatkozo_idoszak integer DEFAULT 0,
  elore_szamlazas integer DEFAULT 0,
  mozgasnem_kod integer NOT NULL,
  reszletei text,
  megjegyzes text,
  zaradek text,
  deviza_nev character(4),
  netto_arbevetel_vegosszeg double precision,
  netto_kedvezmeny double precision,
  brutto_arbevetel_vegosszeg double precision,
  fizetesmod_kod integer,
  fizetesi_hatarido_napban integer DEFAULT 0,
  szam character(30),
  CONSTRAINT szerzodes_fej_kod_key PRIMARY KEY (kod)
) 
WITHOUT OIDS;

CREATE TABLE szerzodes_szaml_idoszak
(
  kod serial NOT NULL,
  szerzodes_kod integer DEFAULT 0,
  ev integer DEFAULT 0,
  honap integer DEFAULT 0,
  CONSTRAINT szerzodes_szaml_idoszak_pky PRIMARY KEY (kod)
) 
WITHOUT OIDS;