CREATE OR REPLACE FUNCTION insert_tetel_egysegar()
  RETURNS void AS
'insert into tetel_egysegar
  (tetel_kod,
   egysegar_kod,
   egysegar_brutto,
   afa_kulcs,
   egysegar)

select t.kod,
         e.kod,
         0,
         t.afa_kulcs,
         0
    from tetel t,
         egysegarak e
   where not exists
( select 1
    from tetel_egysegar te
   where te.tetel_kod = t.kod
     and te.egysegar_kod = e.kod);
'
  LANGUAGE 'sql' VOLATILE;