CREATE TABLE _boritek
(
  kod serial NOT NULL,
  nev character(30),
  height integer DEFAULT 0,
  width integer DEFAULT 0,
  felado_top integer DEFAULT 0,
  felado_left integer DEFAULT 0,
  felado_font_name character(30) DEFAULT 'Arial',
  felado_font_size integer DEFAULT 10,
  cimzett_top integer DEFAULT 0,
  cimzett_left integer DEFAULT 0,
  cimzett_font_name character(30) DEFAULT 'Arial',
  cimzett_font_size integer DEFAULT 10,
  felado_width integer DEFAULT 50,
  felado_height integer DEFAULT 25,
  cimzett_width integer DEFAULT 70,
  cimzett_height integer DEFAULT 30,
  logo bytea,
  logo_left integer DEFAULT 10,
  logo_top integer DEFAULT 10,
  logo_width integer DEFAULT 20,
  logo_height integer DEFAULT 20,
  logo_stretch integer DEFAULT 0,
  logo_visible integer DEFAULT 0,
  CONSTRAINT _boritek_pky PRIMARY KEY (kod)
) 
WITHOUT OIDS;

CREATE INDEX _boritek_nev
  ON _boritek
  USING btree
  (nev);

INSERT INTO _boritek (kod, nev, height, width, felado_top, felado_left, felado_font_name, felado_font_size, cimzett_top, cimzett_left, cimzett_font_name, cimzett_font_size, felado_width, felado_height, cimzett_width, cimzett_height, logo, logo_left, logo_top, logo_width, logo_height, logo_stretch, logo_visible) VALUES (3, 'LA/4                          ', 110, 220, 10, 10, 'Arial                         ', 10, 55, 130, 'Arial                         ', 10, 60, 25, 70, 30, NULL, 10, 10, 20, 20, 1, 0);

INSERT INTO _boritek (kod, nev, height, width, felado_top, felado_left, felado_font_name, felado_font_size, cimzett_top, cimzett_left, cimzett_font_name, cimzett_font_size, felado_width, felado_height, cimzett_width, cimzett_height, logo, logo_left, logo_top, logo_width, logo_height, logo_stretch, logo_visible) VALUES (2, 'LC/5                          ', 161, 229, 20, 15, 'Arial                         ', 14, 90, 150, 'Arial                         ', 14, 60, 25, 70, 30, NULL, 10, 10, 50, 20, 0, 0);

INSERT INTO _boritek (kod, nev, height, width, felado_top, felado_left, felado_font_name, felado_font_size, cimzett_top, cimzett_left, cimzett_font_name, cimzett_font_size, felado_width, felado_height, cimzett_width, cimzett_height, logo, logo_left, logo_top, logo_width, logo_height, logo_stretch, logo_visible) VALUES (1, 'LC/6                          ', 114, 162, 30, 10, 'Arial                         ', 10, 65, 80, 'Arial                         ', 10, 60, 25, 70, 30, NULL, 10, 10, 40, 20, 1, 0);
