ALTER TABLE penzeszkoz_nevek ADD COLUMN bank_neve character(50);
ALTER TABLE penzeszkoz_nevek ALTER COLUMN bank_neve SET STORAGE EXTENDED;
ALTER TABLE penzeszkoz_nevek ADD COLUMN bank_szamlaszam character(50);
ALTER TABLE penzeszkoz_nevek ALTER COLUMN bank_szamlaszam SET STORAGE EXTENDED;
ALTER TABLE penzeszkoz_nevek ADD COLUMN bank_szamlaszam_iban character(50);
ALTER TABLE penzeszkoz_nevek ALTER COLUMN bank_szamlaszam_iban SET STORAGE EXTENDED;
ALTER TABLE penzeszkoz_nevek ADD COLUMN bank_swift character(20);
ALTER TABLE penzeszkoz_nevek ALTER COLUMN bank_swift SET STORAGE EXTENDED;

ALTER TABLE penzeszkoz_nevek ADD COLUMN deviza_nev character(4);
ALTER TABLE penzeszkoz_nevek ALTER COLUMN deviza_nev SET STORAGE EXTENDED;

update penzeszkoz_nevek set deviza_nev = 'HUF' where deviza_nev is null;

ALTER TABLE raktar_mozgas_fej ADD COLUMN penzeszkoz_kod integer;
ALTER TABLE raktar_mozgas_fej ALTER COLUMN penzeszkoz_kod SET STORAGE PLAIN;

update raktar_mozgas_fej
   set penzeszkoz_kod =
(select penzeszkoz_nevek.kod
   from fizetesmod, penzeszkoz_nevek
  where (fizetesmod.kod = raktar_mozgas_fej.fizetesmod_kod)
    and ((fizetesmod.halasztott_fizetesu + 1) = penzeszkoz_nevek.tipus) 
    and (penzeszkoz_nevek.alapertelmezett = 1))
 where penzeszkoz_kod is null;

ALTER TABLE bizonylatszoveg_fej ADD COLUMN kiallito_sorok text;
ALTER TABLE bizonylatszoveg_fej ALTER COLUMN kiallito_sorok SET STORAGE EXTENDED;
ALTER TABLE bizonylatszoveg_fej ADD COLUMN vevo_sorok text;
ALTER TABLE bizonylatszoveg_fej ALTER COLUMN vevo_sorok SET STORAGE EXTENDED;


UPDATE tulajdonos SET kiallito_sorok = 'kiallito_nev1
kiallito_nev2
kiallito_cim
kiallito_adoszam
kiallito_bank
kiallito_egyeb_adat_a_szamlan';

ALTER TABLE esemeny_naplo
   ALTER COLUMN kapcsolt_dokumentum_tipusa DROP DEFAULT;

update lang_key set key_name = 'Nmet' where key_code = '00000407';
update lang_key set key_name = 'Angol' where key_code = '00000409';
update lang_key set key_name = 'Magyar' where key_code = '0000040E';
