ALTER TABLE mozgasnem DROP CONSTRAINT mozgasnem_ch2;

ALTER TABLE mozgasnem
  ADD CONSTRAINT mozgasnem_ch2 CHECK (bizonylat_kapcsolat = 0 OR bizonylat_kapcsolat = 3 OR bizonylat_kapcsolat = 4 OR bizonylat_kapcsolat = 5 OR bizonylat_kapcsolat = 2 OR bizonylat_kapcsolat = 13 OR bizonylat_kapcsolat = 14);

ALTER TABLE _setup_main ADD COLUMN felvasarlasijegy_peldanyszam smallint;
ALTER TABLE _setup_main ALTER COLUMN felvasarlasijegy_peldanyszam SET STORAGE PLAIN;
ALTER TABLE _setup_main ALTER COLUMN felvasarlasijegy_peldanyszam SET DEFAULT 1;

ALTER TABLE _setup_main ADD COLUMN felvasarlasijegy_mozgasnemleiras smallint;
ALTER TABLE _setup_main ALTER COLUMN felvasarlasijegy_mozgasnemleiras SET STORAGE PLAIN;
ALTER TABLE _setup_main ALTER COLUMN felvasarlasijegy_mozgasnemleiras SET DEFAULT 1;

ALTER TABLE _setup_main ADD COLUMN felvasarlasijegy_allandoszoveg bytea;
ALTER TABLE _setup_main ALTER COLUMN felvasarlasijegy_allandoszoveg SET STORAGE EXTENDED;

ALTER TABLE _setup ADD COLUMN felvasarlasijegy_mozgasnem integer;
ALTER TABLE _setup ALTER COLUMN felvasarlasijegy_mozgasnem SET STORAGE PLAIN;

ALTER TABLE _setup ADD COLUMN felvasarlasijegy_mozgasnemmezo_modosithato integer;
ALTER TABLE _setup ALTER COLUMN felvasarlasijegy_mozgasnemmezo_modosithato SET STORAGE PLAIN;
ALTER TABLE _setup ALTER COLUMN felvasarlasijegy_mozgasnemmezo_modosithato SET DEFAULT 0;

ALTER TABLE raktar_mozgas_fej DROP CONSTRAINT raktar_mozgas_fej_ch1;

ALTER TABLE raktar_mozgas_fej
  ADD CONSTRAINT raktar_mozgas_fej_ch1 CHECK (bizonylat_fajta = 1 OR bizonylat_fajta = 2 OR bizonylat_fajta = 3 OR bizonylat_fajta = 4 OR bizonylat_fajta = 5 OR bizonylat_fajta = 6 OR bizonylat_fajta = 7 OR bizonylat_fajta = 8 OR bizonylat_fajta = 9 OR bizonylat_fajta = 10 OR bizonylat_fajta = 11 OR bizonylat_fajta = 12 OR bizonylat_fajta = 13 OR bizonylat_fajta = 14);


ALTER TABLE partner ADD COLUMN adoazonosito character varying(20);
ALTER TABLE partner ALTER COLUMN adoazonosito SET STORAGE EXTENDED;
ALTER TABLE partner ADD COLUMN osterm_regszam character varying(20);
ALTER TABLE partner ALTER COLUMN osterm_regszam SET STORAGE EXTENDED;
ALTER TABLE partner ADD COLUMN csalgazd_nyilv_szam character varying(20);
ALTER TABLE partner ALTER COLUMN csalgazd_nyilv_szam SET STORAGE EXTENDED;
ALTER TABLE partner ADD COLUMN taj_szam character varying(20);
ALTER TABLE partner ALTER COLUMN taj_szam SET STORAGE EXTENDED;
ALTER TABLE partner ADD COLUMN szuletesi_datum date;
ALTER TABLE partner ALTER COLUMN szuletesi_datum SET STORAGE PLAIN;
ALTER TABLE partner ADD COLUMN szuletesi_hely character varying(60);
ALTER TABLE partner ALTER COLUMN szuletesi_hely SET STORAGE EXTENDED;
ALTER TABLE partner ADD COLUMN szuletesi_nev character varying(60);
ALTER TABLE partner ALTER COLUMN szuletesi_nev SET STORAGE EXTENDED;
ALTER TABLE partner ADD COLUMN anyja_neve character varying(60);
ALTER TABLE partner ALTER COLUMN anyja_neve SET STORAGE EXTENDED;

UPDATE tulajdonos SET vevo_sorok = 'nev
iszam telepules
cim
adoszam
eng_szam
ostermeloi_szam
adoazonosito
osterm_regszam
csalgazd_nyilv_szam
taj_szam
szuletesi_datum
szuletesi_hely
szuletesi_nev
anyja_neve';

ALTER TABLE bizonylatszoveg_fej ADD COLUMN partner_adoazonosito character varying(20);
ALTER TABLE bizonylatszoveg_fej ALTER COLUMN partner_adoazonosito SET STORAGE EXTENDED;
ALTER TABLE bizonylatszoveg_fej ADD COLUMN partner_osterm_regszam character varying(20);
ALTER TABLE bizonylatszoveg_fej ALTER COLUMN partner_osterm_regszam SET STORAGE EXTENDED;
ALTER TABLE bizonylatszoveg_fej ADD COLUMN partner_csalgazd_nyilv_szam character varying(20);
ALTER TABLE bizonylatszoveg_fej ALTER COLUMN partner_csalgazd_nyilv_szam SET STORAGE EXTENDED;
ALTER TABLE bizonylatszoveg_fej ADD COLUMN partner_taj_szam character varying(20);
ALTER TABLE bizonylatszoveg_fej ALTER COLUMN partner_taj_szam SET STORAGE EXTENDED;
ALTER TABLE bizonylatszoveg_fej ADD COLUMN partner_szuletesi_datum date;
ALTER TABLE bizonylatszoveg_fej ALTER COLUMN partner_szuletesi_datum SET STORAGE PLAIN;
ALTER TABLE bizonylatszoveg_fej ADD COLUMN partner_szuletesi_hely character varying(60);
ALTER TABLE bizonylatszoveg_fej ALTER COLUMN partner_szuletesi_hely SET STORAGE EXTENDED;
ALTER TABLE bizonylatszoveg_fej ADD COLUMN partner_szuletesi_nev character varying(60);
ALTER TABLE bizonylatszoveg_fej ALTER COLUMN partner_szuletesi_nev SET STORAGE EXTENDED;
ALTER TABLE bizonylatszoveg_fej ADD COLUMN partner_anyja_neve character varying(60);
ALTER TABLE bizonylatszoveg_fej ALTER COLUMN partner_anyja_neve SET STORAGE EXTENDED;
