ALTER TABLE projektek_konyveles ADD COLUMN datum_pugyi date;
ALTER TABLE projektek_konyveles ALTER COLUMN datum_pugyi SET STORAGE PLAIN;

update projektek_konyveles set datum_pugyi = datum + 10 where datum_pugyi is null;

update tetel_raktar set minimum_keszlet = 0 where minimum_keszlet is null;
update tetel_raktar set maximum_keszlet = 0 where maximum_keszlet is null;

ALTER TABLE _setup ADD COLUMN torzs_jog_szallitoi_szamlak_i smallint;
ALTER TABLE _setup ALTER COLUMN torzs_jog_szallitoi_szamlak_i SET STORAGE PLAIN;
ALTER TABLE _setup ALTER COLUMN torzs_jog_szallitoi_szamlak_i SET DEFAULT 0;

ALTER TABLE _setup ADD COLUMN torzs_jog_szallitoi_szamlak_e smallint;
ALTER TABLE _setup ALTER COLUMN torzs_jog_szallitoi_szamlak_e SET STORAGE PLAIN;
ALTER TABLE _setup ALTER COLUMN torzs_jog_szallitoi_szamlak_e SET DEFAULT 0;

ALTER TABLE _setup ADD COLUMN torzs_jog_szallitoi_szamlak_d smallint;
ALTER TABLE _setup ALTER COLUMN torzs_jog_szallitoi_szamlak_d SET STORAGE PLAIN;
ALTER TABLE _setup ALTER COLUMN torzs_jog_szallitoi_szamlak_d SET DEFAULT 0;

ALTER TABLE penzeszkoz_iktato ADD COLUMN szallitoi_szamlak_kod integer;
ALTER TABLE penzeszkoz_iktato ALTER COLUMN szallitoi_szamlak_kod SET STORAGE PLAIN;
ALTER TABLE penzeszkoz_iktato ALTER COLUMN szallitoi_szamlak_kod SET DEFAULT 0;

CREATE TABLE szallitoi_szamlak
(
  kod serial NOT NULL,
  bizonylatszam character varying(30),
  partner_kod integer NOT NULL,
  m_userid character varying(20),
  m_date date,
  m_time time without time zone,
  c_userid character varying(20),
  c_date date,
  c_time time without time zone,
  telj_datum date,
  fiz_hatarido date,
  fizetesmod_kod integer,
  atvevo_kod integer,
  kelte date,
  netto_vegosszeg double precision,
  brutto_vegosszeg double precision,
  netto_vegosszeg_huf double precision,
  brutto_vegosszeg_huf double precision,
  megjegyzes text,
  projekt integer,
  penzeszkoz_kod integer,
  afa_vegosszeg double precision,
  afa_vegosszeg_huf double precision,
  kerekites_huf double precision,
  kerekites double precision,
  fizetendo_huf double precision,
  fizetendo double precision,
  deviza_nev character(4),
  deviza_arfolyam real,
  partner_nev character varying(120),
  partner_orszag character varying(50),
  partner_iszam character varying(20),
  partner_telepules character varying(60),
  partner_cim character varying(60),
  CONSTRAINT szallitoi_szamlak_pkey PRIMARY KEY (kod)
)
WITHOUT OIDS;

ALTER TABLE penzeszkoz_iktato ALTER COLUMN raktar_mozgas_fej_kod SET DEFAULT 0;

update penzeszkoz_iktato set szallitoi_szamlak_kod = 0 where szallitoi_szamlak_kod is null;

ALTER TABLE _setup_main ADD COLUMN szallitoi_szamla_bevetkor_aut_atvetele smallint;
ALTER TABLE _setup_main ALTER COLUMN szallitoi_szamla_bevetkor_aut_atvetele SET STORAGE PLAIN;
ALTER TABLE _setup_main ALTER COLUMN szallitoi_szamla_bevetkor_aut_atvetele SET DEFAULT 0;

update _setup_main set szallitoi_szamla_bevetkor_aut_atvetele = 0 where szallitoi_szamla_bevetkor_aut_atvetele is null;

ALTER TABLE _setup_main ADD COLUMN level_kotelezettseg_szoveg bytea;
ALTER TABLE _setup_main ALTER COLUMN level_kotelezettseg_szoveg SET STORAGE EXTENDED;