create table tetel_raktar_fifo
(sorszam         integer,
 tetel_kod       integer,
 raktar_kod      integer not null,
 datum           date not null,
 ido             time not null,
 beszerzes       double precision not null,
 beszerzes_ertek double precision not null,
 maradek         double precision not null, 

 primary key (sorszam, tetel_kod),

 constraint tetel_raktar_fifo_u1 unique (tetel_kod, raktar_kod, datum, ido),

 constraint tetel_raktar_fifo_ch1 check (beszerzes>=0),
 constraint tetel_raktar_fifo_ch2 check (maradek>=0),

 constraint tetel_raktar_fifo_fk1 foreign key (tetel_kod) references tetel (kod),
 constraint tetel_raktar_fifo_fk2 foreign key (raktar_kod) references raktar_nevek (kod));

