CREATE OR REPLACE FUNCTION self_test() RETURNS boolean AS
'DECLARE

Query_iso_statusz CURSOR  FOR SELECT kod FROM iso_statusz WHERE lang_0000040e = ''engedlyezett beszllt'';
malapert_iso_statusz Integer;

begin
   -- esemeny ressor
   if (SELECT COUNT(*) FROM esemeny WHERE kod = 0) = 0 then
      INSERT INTO esemeny (kod, targy, kapcsolt_naptar_bejegyzes, lang_0000040e, lang_00000409, lang_00000407) VALUES (0, ''-'', 0, ''-'', ''-'', ''-'');
   end if;
   if (SELECT COUNT(*) FROM esemeny WHERE kod = -10) = 0 then
      INSERT INTO esemeny (kod, targy, kapcsolt_naptar_bejegyzes, lang_0000040e, lang_00000409, lang_00000407) VALUES (-10, ''-'', 0, ''Levl klds'', ''-'', ''-'');
   end if;

   -- Superuser test, recreate
   if (SELECT COUNT(*) FROM munkatars WHERE userid = ''admin'') = 0 then
      INSERT INTO munkatars (nev, userid, superuser) VALUES (''Adminisztrtor'', ''admin'', 1);
   end if;   
   UPDATE munkatars SET superuser = 1 WHERE (userid = ''admin'') and (superuser <> 1); 
   if (SELECT COUNT(*) FROM munkatars WHERE kod = 0) = 0 then
      INSERT INTO munkatars (kod, nev, userid, superuser) VALUES (0, ''-'', ''-'', 0);
   end if;
   
   -- mennyisegi_egyseg start
   if (SELECT COUNT(*) FROM mennyisegi_egyseg) = 0 then
      INSERT INTO mennyisegi_egyseg (lang_0000040e, lang_00000409, lang_00000407) VALUES (''db'', ''pie'', ''stk'');
      INSERT INTO mennyisegi_egyseg (lang_0000040e, lang_00000409, lang_00000407) VALUES (''lit'', ''lit'', ''lit'');
   end if;   
   
   -- uzletkoto ressor
   if (SELECT COUNT(*) FROM uzletkoto WHERE kod = 0) = 0 then
      INSERT INTO uzletkoto (kod, nev) VALUES (0, ''-'');
   end if;   
   UPDATE uzletkoto SET nev = ''-'' WHERE (kod = 0) and (nev = ''< res >'');    
   
   -- egysegarak start
   if (SELECT COUNT(*) FROM egysegarak) = 0 then
      INSERT INTO egysegarak (kod, lang_0000040e, lang_00000409, lang_00000407, alapertelmezett, deviza_nev) VALUES (1, ''Listar'', ''list price'', '''', 1, ''HUF'');
   end if;      
   
   -- fizetesmod start
   if (SELECT COUNT(*) FROM fizetesmod) = 0 then
      INSERT INTO fizetesmod (lang_0000040e, lang_00000409, lang_00000407, halasztott_fizetesu, hatarido, postakoltseg) VALUES (''Kszpnz'', ''Cache'', '''', 0, 0, 0);
      INSERT INTO fizetesmod (lang_0000040e, lang_00000409, lang_00000407, halasztott_fizetesu, hatarido, postakoltseg) VALUES (''tutals'', ''Bank Transfer'', '''', 1, 10, 0);
   end if;      
   if (SELECT COUNT(*) FROM fizetesmod WHERE kod = 0) = 0 then
      INSERT INTO fizetesmod (kod, lang_0000040e, lang_00000409, lang_00000407, halasztott_fizetesu, hatarido, postakoltseg) VALUES (0, ''-'', ''-'', ''-'', 0, 0, 0);
   end if;   
   
   -- partner_csoport ressor
   if (SELECT COUNT(*) FROM partner_csoport WHERE kod = 0) = 0 then
      INSERT INTO partner_csoport (kod, lang_0000040e) VALUES (0, ''-'');
   end if;   
   UPDATE partner_csoport SET lang_0000040e = ''-'' WHERE (kod = 0) and (lang_0000040e = ''< res >'');      
   
   -- iso_statusz ressor
   if (SELECT COUNT(*) FROM iso_statusz WHERE lang_0000040e = ''engedlyezett beszllt'') = 0 then
      INSERT INTO iso_statusz (engedely, lang_0000040e) VALUES (1, ''engedlyezett beszllt'');
   end if;      
   if (SELECT COUNT(*) FROM iso_statusz WHERE kod = 0) = 0 then
      INSERT INTO iso_statusz (kod, engedely, lang_0000040e) VALUES (0, 0, ''-'');
   end if;   

   
   OPEN Query_iso_statusz;
   FETCH Query_iso_statusz INTO malapert_iso_statusz;
   
   -- lang_key start
   if (SELECT COUNT(*) FROM lang_key) = 0 then
      INSERT INTO lang_key (key_code, key_order, key_name, font, carset, key_code_withname) VALUES (''0000040E'', ''1'', ''Hungarian'', ''Arial'', ''0 - ANSI_CHARSET'', '''');
      INSERT INTO lang_key (key_code, key_order, key_name, font, carset, key_code_withname) VALUES (''00000409'', ''2'', ''English (United States)'', ''Arial'', ''0 - ANSI_CHARSET'', ''amerikai [00000409]'');
      INSERT INTO lang_key (key_code, key_order, key_name, font, carset, key_code_withname) VALUES (''00000407'', ''3'', ''German'', ''Arial'', ''0 - ANSI_CHARSET'', ''nmet [00000407]'');
   end if;         
   
   -- partner start
   if (SELECT COUNT(*) FROM partner WHERE kod = 0) = 0 then
      INSERT INTO partner (kod, nev, orszag, iszam, telepules, cim, fizetesmod, fizetesi_hat_ido, partner_tipus, partner_csoport_kod, Uzletkoto_kod, iso_engedely, hasznalatban, gyujto) VALUES (0, ''-'', ''-'', ''-'', ''-'', ''-'', 0, 0, 3, 0, 0, malapert_iso_statusz, 1, 0);
   end if;      
   
   -- raktar_nevek ressor
   if (SELECT COUNT(*) FROM raktar_nevek) = 0 then
      INSERT INTO raktar_nevek (kod, lang_0000040e, raktar_tipus, partner_kod) VALUES (1, ''Raktr'', 1, 0);
   end if;      
   UPDATE raktar_nevek SET partner_kod = 0 WHERE (partner_kod is null);      
   if (SELECT COUNT(*) FROM raktar_nevek WHERE kod = 0) = 0 then
      INSERT INTO raktar_nevek (kod, lang_0000040e, Lang_00000409, Lang_00000407, raktar_tipus, partner_kod) VALUES (0, ''-'', ''-'', ''-'', 1, 0);
   end if;      
   
   -- projekt_besorolas ressor
   if (SELECT COUNT(*) FROM projekt_besorolas WHERE kod = 0) = 0 then
      INSERT INTO projekt_besorolas (kod, lang_0000040e, Lang_00000409, Lang_00000407, hasznalatban) VALUES (0, ''-'', ''-'', ''-'', 1);
   end if;      
   
   -- projekt_statusz ressor
   if (SELECT COUNT(*) FROM projekt_statusz) = 0 then
      INSERT INTO projekt_statusz (lang_0000040e, hasznalatban) VALUES (''folyamatban'', 1);
      INSERT INTO projekt_statusz (lang_0000040e, hasznalatban) VALUES (''ksz'', 1);
   end if;        
   if (SELECT COUNT(*) FROM projekt_statusz WHERE kod = 0) = 0 then
      INSERT INTO projekt_statusz (kod, lang_0000040e, hasznalatban) VALUES (0, ''-'', 1);
   end if;        
   
   -- projekt_statusz ressor
   if (SELECT COUNT(*) FROM projekt_utemezes WHERE kod = 0) = 0 then
      INSERT INTO projekt_utemezes (kod, lang_0000040e, hasznalatban) VALUES (0, ''-'', 1);
   end if;        
   
   -- projektek ressor
   if (SELECT COUNT(*) FROM projektek WHERE kod = 0) = 0 then
      INSERT INTO projektek (kod, leiras, helyszin, megjegyzes, hasznalatban) VALUES (0, ''< projekt fggetlen >'', ''-'', ''-'', 1);
   end if;     
   
   -- mozgasnem ressor
   if (SELECT COUNT(*) FROM mozgasnem) = 0 then
      INSERT INTO mozgasnem (lang_0000040e, forras_raktar, cel_raktar, sajat, tipus, bizonylat_kapcsolat, hasznalatban) VALUES (''Szmls bevt'', 0, 0, 0, 1, 0, 1);
      INSERT INTO mozgasnem (lang_0000040e, forras_raktar, cel_raktar, sajat, tipus, bizonylat_kapcsolat, hasznalatban) VALUES (''Szmls elads'', 0, 0, 0, 2, 5, 1);
      INSERT INTO mozgasnem (lang_0000040e, forras_raktar, cel_raktar, sajat, tipus, bizonylat_kapcsolat, hasznalatban) VALUES (''Nyugts elads'', 0, 0, 0, 2, 3, 1);
      INSERT INTO mozgasnem (lang_0000040e, forras_raktar, cel_raktar, sajat, tipus, bizonylat_kapcsolat, hasznalatban) VALUES (''Szllts elads'', 0, 0, 0, 2, 4, 1);
      
      INSERT INTO mozgasnem (lang_0000040e, forras_raktar, cel_raktar, sajat, tipus, bizonylat_kapcsolat, hasznalatban) VALUES (''Projekt felhasznls'', 0, 0, 0, 2, 13, 1);
      INSERT INTO mozgasnem (lang_0000040e, forras_raktar, cel_raktar, sajat, tipus, bizonylat_kapcsolat, hasznalatban) VALUES (''Felvsrli jegy bevt'', 0, 0, 0, 1, 14, 1);
   end if;       
   if (SELECT COUNT(*) FROM mozgasnem WHERE kod = 0) = 0 then
      INSERT INTO mozgasnem (kod, lang_0000040e, forras_raktar, cel_raktar, sajat, tipus, bizonylat_kapcsolat, hasznalatban) VALUES (0, ''-'', 0, 0, 1, 0, 0, 0);
   end if;       
   UPDATE mozgasnem SET sztorno = 0 WHERE (sztorno is null);      
   UPDATE mozgasnem SET forras_raktar = 0 WHERE (forras_raktar is null);      
   UPDATE mozgasnem SET cel_raktar = 0 WHERE (cel_raktar is null);      
   
   -- _tetel_tipus start
   if (SELECT COUNT(*) FROM _tetel_tipus) = 0 then
      INSERT INTO _tetel_tipus (kod, ajanlatbeli_sorrend, lang_0000040e) VALUES (0, 0, ''Szolgltatsi ttel'');
      INSERT INTO _tetel_tipus (kod, ajanlatbeli_sorrend, lang_0000040e) VALUES (1, 1, ''ru'');
      INSERT INTO _tetel_tipus (kod, ajanlatbeli_sorrend, lang_0000040e) VALUES (2, 2, ''Ksztermk'');
      INSERT INTO _tetel_tipus (kod, ajanlatbeli_sorrend, lang_0000040e) VALUES (3, 3, ''Flksztermk'');
      INSERT INTO _tetel_tipus (kod, ajanlatbeli_sorrend, lang_0000040e) VALUES (4, 4, ''Alapanyag'');
      INSERT INTO _tetel_tipus (kod, ajanlatbeli_sorrend, lang_0000040e) VALUES (5, 5, ''Mezgazdasgi termk'');
      INSERT INTO _tetel_tipus (kod, ajanlatbeli_sorrend, lang_0000040e) VALUES (6, 6, ''Gngyleg'');
      INSERT INTO _tetel_tipus (kod, ajanlatbeli_sorrend, lang_0000040e) VALUES (7, 7, ''Kzvettett szolgltatsi ttel'');
      INSERT INTO _tetel_tipus (kod, ajanlatbeli_sorrend, lang_0000040e) VALUES (8, 8, ''Nem kszletkezelt termk'');
   end if;      
   
   -- penzeszkoz_nevek start
   if (SELECT COUNT(*) FROM penzeszkoz_nevek) = 0 then
      INSERT INTO penzeszkoz_nevek (kod, alapertelmezett, tipus, lang_0000040e, deviza_nev) VALUES (1, 1, 1, ''Pnztr'', ''HUF'');
      INSERT INTO penzeszkoz_nevek (kod, alapertelmezett, tipus, lang_0000040e, deviza_nev) VALUES (2, 1, 2, ''Bankszmla'', ''HUF'');
   end if;      
   if (SELECT COUNT(*) FROM penzeszkoz_nevek WHERE kod = 0) = 0 then
      INSERT INTO penzeszkoz_nevek (kod, alapertelmezett, tipus, lang_0000040e, deviza_nev) VALUES (0, 0, 1, ''-'', ''HUF'');
   end if;     
   
   -- fbizonylat teszt
   UPDATE raktar_mozgas SET csak_fobizonylat_tetel = 0 WHERE csak_fobizonylat_tetel is null;   

   return true;
 end;'
LANGUAGE 'plpgsql' VOLATILE;
