CREATE OR REPLACE FUNCTION tr_tetel_egysegar()
  RETURNS "trigger" AS
'begin
  insert into tetel_egysegar_naplo
  (kod,
   datum,
   muvelet,
   tetel_kod,
   egysegar_kod,
   egysegar_brutto,
   afa_kulcs,
   egysegar)

  values

  (nextval(''tetel_egysegar_naplo_kod_seq''),
   current_timestamp,
   TG_OP,
   new.tetel_kod,
   new.egysegar_kod,
   new.egysegar_brutto,
   new.afa_kulcs,
   new.egysegar);

  return new;
end;
'
  LANGUAGE 'plpgsql' VOLATILE;