CREATE INDEX fizetesmod_i1
  ON fizetesmod
  USING btree
  (kod);

CREATE INDEX partner_i1
  ON partner
  USING btree
  (kod);

CREATE INDEX partner_csoport_egysegarak_i1
  ON partner_csoport_egysegarak
  USING btree
  (partner_csoport_kod);

CREATE INDEX partner_kedvezmeny_i1
  ON partner_kedvezmeny
  USING btree
  (kedvezmeny_kod, partner_kod);

CREATE INDEX raktar_mozgas_i1
  ON raktar_mozgas
  USING btree
  (fej_kod);

CREATE INDEX raktar_mozgas_fej_i3
  ON raktar_mozgas_fej
  USING btree
  (kod);

CREATE INDEX raktar_mozgas_fej_i4
  ON raktar_mozgas_fej
  USING btree
  (partner_kod);

CREATE INDEX raktar_mozgas_fej_i5
  ON raktar_mozgas_fej
  USING btree
  (fizetesmod_kod);

CREATE INDEX raktar_mozgas_fej_i6
  ON raktar_mozgas_fej
  USING btree
  (bizonylatszam);

CREATE INDEX raktar_mozgas_fej_i7
  ON raktar_mozgas_fej
  USING btree
  (bizonylatszam, bizonylat_fajta);

CREATE INDEX tetel_i1
  ON tetel
  USING btree
  (kod);

CREATE INDEX tetel_i2
  ON tetel
  USING btree
  (afa_kulcs);

CREATE INDEX tetel_i3
  ON tetel
  USING btree
  (kompenzacio_mezogazd);
